FTOS_CB_AddUpdateRescheduleOverdues
Adds or updates a record in the FTOS_CB_ContractEvent entity representing an event to reschedule a loan contract repayment notification that is overdue. The entire repayment schedule is recalculated considering this event. The set of parameters sent via the request body determines the operation performed at the database level.
Syntax
The FTOS_CB_AddUpdateRescheduleOverdues custom endpoint is called from within the Endpoint API endpoint. Visit the Endpoint API page for more details.
POST <host_address>/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateRescheduleOverdues
Content-Type: application/json
{
"contractNo":"<contract_number>",
"contractID":"<contract_ID>",
"eventNo":"<event_number>",
"overdueNotifications":
[
{"notificationNo":"<notification_number>"
}
],
"decreaseInstallment":<true_or_false>,
"externalIdentifier":"<external_identifier_of_the_transaction>"
}
Here's a list of the available parameters:
| Parameter | Description |
|---|---|
| host_address | URL of the FintechOS Platform server. |
| contractNo | Mandatory if contractId is not filled. The number of the contract. |
| contractId | Mandatory if contractNo is not filled. The identifier of the contract. |
| eventNo | Mandatory only for update operations. Do not send it for add operations. The number of the payment reschedule event. |
| overdueNotifications | Mandatory. An array of objects with attribute notificationNo, representing the notifications selected for reschedule. |
| notificationNo | The number of the notification which has to be rescheduled. |
| decreaseInstallment | Mandatory. Possible values: true or false. If you send true, then the installment number is decreased. |
| externalIdentifier | Optional, string. The external identifier of the transaction. |
Response
The response indicates the result of the code execution, specifically the result of creating or updating a record in the FTOS_CB_ContractEvent entity . The entire repayment schedule is recalculated considering this event.
Example
To create a new record in the FTOS_CB_ContractEvent entity, do not send the eventNo with the request.
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateRescheduleOverdues
Content-Type: application/json
{
"contractNo":"2769 TL_EUR",
"contractID":"",
"eventNo":"",
"overdueNotifications":[{"notificationNo":"192073"}],
"decreaseInstallment":true,
"externalIdentifier":"TR99990077953"
}
Response
{
"eventIdentifier": "ECB1831",
"repaymentSchedule": [
{
"installmentNo": 1,
"dueDate": "2021-06-05",
"remainingValue": 10000,
"interest": 38.75,
"principal": 815.04,
"totalInstallment": 853.79,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 2,
"dueDate": "2021-07-05",
"remainingValue": 9184.96,
"interest": 34.44,
"principal": 819.35,
"totalInstallment": 853.79,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 3,
"dueDate": "2021-08-05",
"remainingValue": 9219.4,
"interest": 34.57,
"principal": 905.33,
"totalInstallment": 939.9,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 4,
"dueDate": "2021-09-05",
"remainingValue": 8314.07,
"interest": 31.18,
"principal": 909.88,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 5,
"dueDate": "2021-10-05",
"remainingValue": 7404.19,
"interest": 27.77,
"principal": 913.29,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 6,
"dueDate": "2021-11-05",
"remainingValue": 6490.9,
"interest": 24.34,
"principal": 916.72,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 7,
"dueDate": "2021-12-05",
"remainingValue": 5574.18,
"interest": 20.9,
"principal": 920.16,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 8,
"dueDate": "2022-01-05",
"remainingValue": 4654.02,
"interest": 17.45,
"principal": 923.61,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 9,
"dueDate": "2022-02-05",
"remainingValue": 3730.41,
"interest": 13.99,
"principal": 927.07,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 10,
"dueDate": "2022-03-05",
"remainingValue": 2803.34,
"interest": 10.51,
"principal": 930.55,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 11,
"dueDate": "2022-04-05",
"remainingValue": 1872.79,
"interest": 7.02,
"principal": 934.04,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 12,
"dueDate": "2022-05-05",
"remainingValue": 938.75,
"interest": 3.52,
"principal": 938.75,
"totalInstallment": 942.27,
"notificationNo": null,
"isPayed": null
}
],
"IsSuccess": true
}
To update an existing record in the FTOS_CB_ContractEvent entity, the eventNo must be sent with the request.
Request
POST https://FintechOSStudio/ftosapi/automation-processors/actions/FTOS_CB_AddUpdateRescheduleOverdues
Content-Type: application/json
{
"contractNo":"2769 TL_EUR",
"contractId":"",
"eventNo":"ECB1831",
"overdueNotifications":[{"notificationNo":"192073"}],
"decreaseInstallment":true,
"externalIdentifier":"TR99990077953"
}
Response
{
"eventIdentifier": "ECB1831",
"repaymentSchedule": [
{
"installmentNo": 1,
"dueDate": "2021-06-05",
"remainingValue": 10000,
"interest": 38.75,
"principal": 815.04,
"totalInstallment": 853.79,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 2,
"dueDate": "2021-07-05",
"remainingValue": 9184.96,
"interest": 34.44,
"principal": 819.35,
"totalInstallment": 853.79,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 3,
"dueDate": "2021-08-05",
"remainingValue": 9219.4,
"interest": 34.57,
"principal": 905.33,
"totalInstallment": 939.9,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 4,
"dueDate": "2021-09-05",
"remainingValue": 8314.07,
"interest": 31.18,
"principal": 909.88,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 5,
"dueDate": "2021-10-05",
"remainingValue": 7404.19,
"interest": 27.77,
"principal": 913.29,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 6,
"dueDate": "2021-11-05",
"remainingValue": 6490.9,
"interest": 24.34,
"principal": 916.72,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 7,
"dueDate": "2021-12-05",
"remainingValue": 5574.18,
"interest": 20.9,
"principal": 920.16,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 8,
"dueDate": "2022-01-05",
"remainingValue": 4654.02,
"interest": 17.45,
"principal": 923.61,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 9,
"dueDate": "2022-02-05",
"remainingValue": 3730.41,
"interest": 13.99,
"principal": 927.07,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 10,
"dueDate": "2022-03-05",
"remainingValue": 2803.34,
"interest": 10.51,
"principal": 930.55,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 11,
"dueDate": "2022-04-05",
"remainingValue": 1872.79,
"interest": 7.02,
"principal": 934.04,
"totalInstallment": 941.06,
"notificationNo": null,
"isPayed": null
},
{
"installmentNo": 12,
"dueDate": "2022-05-05",
"remainingValue": 938.75,
"interest": 3.52,
"principal": 938.75,
"totalInstallment": 942.27,
"notificationNo": null,
"isPayed": null
}
],
"IsSuccess": true
}